FSharp.Configuration 2.0.0

There is a newer prerelease version of this package available.
See the version list below for details.
dotnet add package FSharp.Configuration --version 2.0.0
NuGet\Install-Package FSharp.Configuration -Version 2.0.0
This command is intended to be used within the Package Manager Console in Visual Studio, as it uses the NuGet module's version of Install-Package.
<PackageReference Include="FSharp.Configuration" Version="2.0.0" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add FSharp.Configuration --version 2.0.0
#r "nuget: FSharp.Configuration, 2.0.0"
#r directive can be used in F# Interactive and Polyglot Notebooks. Copy this into the interactive tool or source code of the script to reference the package.
// Install FSharp.Configuration as a Cake Addin
#addin nuget:?package=FSharp.Configuration&version=2.0.0

// Install FSharp.Configuration as a Cake Tool
#tool nuget:?package=FSharp.Configuration&version=2.0.0

The FSharp.Configuration project contains type providers for the configuration of .NET projects.

Product Compatible and additional computed target framework versions.
.NET net5.0 was computed.  net5.0-windows was computed.  net6.0 was computed.  net6.0-android was computed.  net6.0-ios was computed.  net6.0-maccatalyst was computed.  net6.0-macos was computed.  net6.0-tvos was computed.  net6.0-windows was computed.  net7.0 was computed.  net7.0-android was computed.  net7.0-ios was computed.  net7.0-maccatalyst was computed.  net7.0-macos was computed.  net7.0-tvos was computed.  net7.0-windows was computed.  net8.0 was computed.  net8.0-android was computed.  net8.0-browser was computed.  net8.0-ios was computed.  net8.0-maccatalyst was computed.  net8.0-macos was computed.  net8.0-tvos was computed.  net8.0-windows was computed. 
.NET Core netcoreapp2.0 was computed.  netcoreapp2.1 was computed.  netcoreapp2.2 was computed.  netcoreapp3.0 was computed.  netcoreapp3.1 was computed. 
.NET Standard netstandard2.0 is compatible.  netstandard2.1 was computed. 
.NET Framework net461 is compatible.  net462 was computed.  net463 was computed.  net47 was computed.  net471 was computed.  net472 was computed.  net48 was computed.  net481 was computed. 
MonoAndroid monoandroid was computed. 
MonoMac monomac was computed. 
MonoTouch monotouch was computed. 
Tizen tizen40 was computed.  tizen60 was computed. 
Xamarin.iOS xamarinios was computed. 
Xamarin.Mac xamarinmac was computed. 
Xamarin.TVOS xamarintvos was computed. 
Xamarin.WatchOS xamarinwatchos was computed. 
Compatible target framework(s)
Included target framework(s) (in package)
Learn more about Target Frameworks and .NET Standard.

NuGet packages (10)

Showing the top 5 NuGet packages that depend on FSharp.Configuration:

Package Downloads
Exira.EventStore.Runner

Exira.EventStore.Runner is a wrapper that uses Topshelf to run EventStore as a Windows Service

FsYaml

Type safe Yaml library for F#.

GuitarAlchemist.GA.Business.Core

Provides classes and interfaces for music and fretted instruments: - Notes and Pitches - Intervals - Scales and Modes - Atonal: Pitch class, pitch class set, interval class vector - Fretboard

Exira.Route53Updater

Exira.Route53Updater is a console application which updates a Route 53 record with the current EC2 hostname

Exira.StaticMailer

Exira.StaticMailer is a REST endpoint running in a Windows Service to enable static sites to easily send mail

GitHub repositories

This package is not used by any popular GitHub repositories.

Version Downloads Last updated
3.0.0-beta1 4,632 10/1/2022
2.0.0 47,310 8/9/2021
2.0.0-beta2 228 8/9/2021
2.0.0-beta1 210 8/9/2021
2.0.0-alpha3 2,456 12/15/2020
2.0.0-alpha2 55,503 6/16/2018
2.0.0-alpha1 964 4/27/2018
1.5.0 178,650 6/15/2018
1.4.0 17,748 2/23/2018
1.3.1 21,770 9/24/2017
1.3.0 100,251 6/14/2017
1.2.1-beta 915 6/13/2017
1.2.0 3,235 5/20/2017
1.1.0 3,472 5/12/2017
1.0.1 8,009 4/22/2017
1.0.0 4,734 4/12/2017
0.6.4 27,744 11/18/2016
0.6.2 8,450 8/21/2016
0.6.1 4,114 6/13/2016
0.6.0 3,390 5/16/2016
0.5.12 21,276 3/1/2016
0.5.11 2,650 2/24/2016
0.5.10 2,262 1/20/2016
0.5.9 6,860 1/2/2016
0.5.8 1,395 12/30/2015
0.5.7 4,521 11/22/2015
0.5.3 18,182 6/12/2015
0.5.2 1,252 6/12/2015
0.5.1 5,328 3/18/2015
0.5.0 2,678 3/9/2015
0.4.10 4,923 2/6/2015
0.4.9 2,256 1/6/2015
0.4.8 1,840 12/19/2014
0.4.7 1,591 12/12/2014
0.4.6 2,037 12/6/2014
0.4.5 1,440 12/6/2014
0.4.4 3,940 10/22/2014
0.4.3 1,419 9/20/2014
0.4.2 1,296 9/20/2014
0.4.1 1,329 9/20/2014
0.3.0 1,269 9/19/2014
0.2.2 4,804 4/7/2014
0.2.1 1,305 1/17/2014
0.2.0 1,295 1/16/2014
0.1.0 18,608 1/15/2014
0.1.0-alpha5 994 1/15/2014
0.1.0-alpha3 994 1/15/2014
0.1.0-alpha2 978 1/14/2014
0.1.0-alpha 1,076 1/14/2014

Migration to project system
Migration from SharpYaml to YamlDotNet
YamlConfigTypeProvider targets net461 and netstandard2.0
IniFileProvider targets net461 and netstandard2.0
AppSettingsProvider targets net461 and netstandard2.0
Dependencies update
Fix bug triggering exception 'xx_ItemType is not comparable' when updating an empty list #158